from django.db import models
from django.urls import reverse_lazy

class BaseName(models.Model):
    name = models.CharField(max_length=127, unique=True)

    class Meta:
        abstract = True
    
    def __str__(self):
        return self.name
    
    def get_absolute_url(self):
        return reverse_lazy(type(self).__name__.lower()+'_info', args=[self.pk])


class Genus(BaseName):
    pass

class Species(BaseName):
    genus = models.ForeignKey(Genus, on_delete=models.PROTECT)

