from django.contrib.auth.mixins import LoginRequiredMixin
from django.shortcuts import render
from django.views.generic.detail import DetailView
from django.views.generic.list import ListView
from django.views.generic.edit import CreateView
from .models import Species, Genus


class SpeciesDetail(DetailView):
    model = Species


class SpeciesAdd(LoginRequiredMixin, CreateView):
    model = Species
    fields = ['genus', 'name']

class GenusList(ListView):
    model = Genus

class GenusDetail(DetailView):
    model = Genus


class GenusAdd(LoginRequiredMixin, CreateView):
    model = Genus
    fields = ['name']
