import os

from behave import given, when, then
from django.conf import settings
from selenium.webdriver.common.keys import Keys
from selenium.webdriver.support.ui import Select

@given(u'I am a logged-in user')
def given_i_am_logged(context):
    context.browser.get(context.get_url("/accounts/login?next=/"))
    context.browser.find_element_by_name('username').send_keys(context.user['username'])
    context.browser.find_element_by_name('password').send_keys(context.user['password'])
    context.browser.find_element_by_name('submit').click()

@given(u'I create a genus named "{genus}"')
def step_impl(context, genus):
    raise NotImplementedError(u'STEP: Given I create a genus named "%s"' % (genus,))

@when(u'I create a species named "{genus} {species}"')
def create_species(context, genus, species):
    context.browser.get(context.get_url('/clades/species/add'))
    genus_dropdown = Select(context.browser.find_element_by_name('genus'))
    genus_dropdown.select_by_visible_text(genus)
    context.browser.find_element_by_name('species').send_keys(species)
    context.browser.find_element_by_name('save').click()


@then(u'I will see the species "{genus} {species}" page')
def species_page(context, genus, species):
    raise NotImplementedError(u'STEP: Then I will see the species "%s %s" page' % (genus, species))


@then(u'I will see a link to "Species"')
def step_impl(context):
    raise NotImplementedError(u'STEP: Then I will see a link to "Species"')


@when(u'I click the link to "Species"')
def step_impl(context):
    raise NotImplementedError(u'STEP: When I click the link to "Species"')


@then(u'I will see a link to species "{genus} {species}"')
def step_impl(context):
    raise NotImplementedError(u'STEP: Then I will see a link to "%s %s"' % (genus, species))

